Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Types | Public Member Functions | List of all members
ranges::v3::view::unique_fn Struct Reference

## Synopsis of methods
constexpr view< unique_fn > | unique {}

## Public Types
template<typename Rng , typename C = equal_to>
using | Concept = meta::and_< ForwardRange< Rng >, IndirectRelation< C, iterator_t< Rng > >>

## Public Member Functions
template<typename Rng , typename C = equal_to, requires = (Concept<Rng, C>())>
auto | operator() (Rng &&rng, C pred={}) const -> adjacent_filter_view< all_t< Rng >, logical_negate< C >>